/*
 * TestConectare.java
 */
package lab.scd.db.jdbc10;

import java.sql.Connection;
import java.sql.DriverManager;
import lab.scd.db.util.*;
//import com.mysql.jdbc.*;
/**
 * Class created by @author Mihai HULEA at Mar 10, 2005.
 * 
 * This class is part of the laborator4_db project.
 * 
 * Exemplifica pasii care trebuiesc realizati pentru a realiza o conexiune la o baza de date.
 * 
 * In exemplul de fata se realizeaza o conexiune la o baza de date MYSQL. Pentru functionarea
 * corecta a programului serverul MYSQL trebuie sa fie startat pe calculatorul pe care
 * se verifica programul si trebuie sa existe baza de date testdb.
 */
public class TestConectare {

    public static void main(String[] args) {
            try {
                //incarcare driver petru baza de date
                Class.forName("com.mysql.jdbc.Driver");
                
                //conectare la baza de date
                Connection conn = DriverManager.getConnection("jdbc:mysql://"+DBConfig.HOST+"/"+DBConfig.DATABASE+"?user="+DBConfig.USER+"&password="+DBConfig.PWD);
                System.out.println("Conexiune la baza de date realizata.");
                
                //inchide cnexiune la baza de date
                conn.close();
            } catch (Exception ex) {
                ex.printStackTrace();
            }
   }
}
